sawfish-client(1)

NAME
sawfish-client — Evaluate arbitrary Lisp forms with sawfish.

SYNOPSIS

sawfish-client [ --display X ] [ -q ] [ -f FUNCTION ] [ -c COMMAND ] [ -r FEATURE ] [ -e FORM ] [ - ] [ -- ]

DESCRIPTION

This allows you to connect to a window manager process and evaluate arbitrary Lisp forms.

OPTIONS

--display
    Connect to the window manager on display X

-q  Be quiet (perform commands asynchronously)

-f 	  FUNCTION
    Call Lisp function FUNCTION on the server

-c 	  COMMAND
    Call the interactive Lisp function COMMAND

-r 	  FEATURE
    Require the module called FEATURE

-e 	  FORM
    Evaluate Lisp form FORM on the server

-   Read lines of input until EOF, evaluating each one as it is read

--  Read forms from standard input until EOF, evaluating the whole lot in one go (inside a progn)

SEE ALSO

Sawfish are documented fully by John Harper available via the Info system .

AUTHOR

This manual page was written by Christian Marillat marillat@debian.org for the Debian GNU/Linux system (but may be used by others).